%define version   0.6.0
%define release   14

%define libname %mklibname %{name} 0
%define develname %mklibname -d %{name}

Name:      tomoe
Summary:   A program which does Japanese handwriting recognition
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   LGPLv2+
URL:       https://sourceforge.jp/projects/tomoe/
Source0:   %{name}-%{version}.tar.bz2
Patch1:	   tomoe-0.6.0-fix-str-fmt.patch
Patch2:    tomoe-0.6.0-linkage.patch
Patch3:    tomoe-0.6.0-undefined-class.patch
Patch4:    tomoe-0.6.0-fix-glib-includes.patch
Requires:        %{libname} = %{version}
BuildRequires:   automake intltool gtk-doc
#BuildRequires:	 ruby-devel ruby-gnome2-devel
BuildRequires:   python-gobject-devel
BuildRequires:	 pygtk2.0-devel
# (tv) for AM_PATH_GLIB_2_0:
BuildRequires:	 glib2-devel

%description
A program which does Japanese handwriting recognition.

%package    python
Summary:    Python binding of tomoe
Group:      System/Internationalization
Requires:   %{name} = %{version}
Requires:   python

%description python
Python binding of tomoe.

#%package    ruby
#Summary:    Ruby binding of tomoe
#Group:      System/Internationalization
#Requires:   %{name} = %{version}
#Requires:   ruby ruby-gnome2

#%description ruby
#Ruby binding of tomoe.

%package -n %{libname}
Summary:    Tomoe library
Group:      System/Internationalization
Conflicts:  %{name}-devel < 0.6.0-5mdv

%description -n %{libname}
tomoe library.

%package -n %{develname}
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{libname}-devel

%description -n %{develname}
Headers of %{name} for development.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/tomoe/config
%{_datadir}/gtk-doc/html/tomoe/*
%{_datadir}/tomoe/*

%files python
%defattr(-,root,root)
%doc COPYING
%{python_sitearch}/*.so

#%files ruby
#%defattr(-,root,root)
#%doc COPYING
#%{ruby_sitelibdir}/*.rb
#%{ruby_sitelibdir}/*/*.so

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
# uim-tomoe-gtk opens some devel files
%{_libdir}/*.so.0*
%{_libdir}/tomoe/module/*/*.so

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/tomoe/*.h
%{_libdir}/*.a
%{_libdir}/*.so

#%{ruby_sitearchdir}/*.h
#%{ruby_sitearchdir}/*.a
%{python_sitearch}/*.a
%{_libdir}/tomoe/module/*/*.a
%{_libdir}/pkgconfig/tomoe.pc
%{_libdir}/pkgconfig/pytomoe.pc



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.6.0-14
+ Revision: 0dc06d2
- MassBuild#440: Increase release tag


